%% Import data from spreadsheet
% Script for importing data from the following spreadsheet:
%
%    Workbook: ../../Data/CxI_DR_2007_2012_PRO_Det.xlsx
%    Worksheet: 2007
%
% Auto-generated by MATLAB on 16-May-2019 21:31:17

%% Setup the Import Options
opts = spreadsheetImportOptions("NumVariables", 1);

% Specify sheet and range
opts.Sheet = "2007";
opts.DataRange = "A5:A414";

% Specify column names and types
opts.VariableNames = "VarName2";
opts.VariableTypes = "string";
opts = setvaropts(opts, 1, "WhitespaceRule", "preserve");
opts = setvaropts(opts, 1, "EmptyFieldRule", "auto");

% Import the data
CxIDR20072012PRODetS2 = readtable("../../Data/CxI_DR_2007_2012_PRO_Det.xlsx", opts, "UseExcel", false);

%% Convert to output type
CxIDR20072012PRODetS2 = table2cell(CxIDR20072012PRODetS2);
numIdx = cellfun(@(x) ~isnan(str2double(x)), CxIDR20072012PRODetS2);
CxIDR20072012PRODetS2(numIdx) = cellfun(@(x) {str2double(x)}, CxIDR20072012PRODetS2(numIdx));
CommodityNames = CxIDR20072012PRODetS2;
save('../../ProcessedData/Matlab/CommodityNames.mat','CommodityNames')
%% Clear temporary variables
clear  opts