%% Import data from spreadsheet
% Script for importing data from the following spreadsheet:
%
%    Workbook: ../../Data/Use_SUT_Framework_2007_2012_DET.xlsx
%    Worksheet: 2007
%
% Auto-generated by MATLAB on 30-May-2019 07:37:29

%% Setup the Import Options
opts = spreadsheetImportOptions("NumVariables", 1);

% Specify sheet and range
opts.Sheet = "2007";
opts.DataRange = "OS7:OS422";

% Specify column names and types
opts.VariableNames = "Personalconsumptionexpenditures";
opts.VariableTypes = "double";

% Setup rules for import
opts = setvaropts(opts, 1, "FillValue", 0);

% Import the data
tbl = readtable("../../Data/Use_SUT_Framework_2007_2012_DET.xlsx", opts, "UseExcel", false);

%% Convert to output type
Consumption = tbl.Personalconsumptionexpenditures;
save('../../ProcessedData/Matlab/Consumption.mat','Consumption')

%% Clear temporary variables
clear opts tbl