%% Import data from spreadsheet
% Script for importing data from the following spreadsheet:
%
%    Workbook: ../../Data/Use_SUT_Framework_2007_2012_DET.xlsx
%    Worksheet: 2007
%
% Auto-generated by MATLAB on 16-May-2019 22:15:59

%% Setup the Import Options
opts = spreadsheetImportOptions("NumVariables", 426);

% Specify sheet and range
opts.Sheet = "2007";
opts.DataRange = "C420:PL420";

% Specify column names and types
opts.VariableNames = ["Oilseedfarming", "Grainfarming", "Vegetableandmelonfarming", "Fruitandtreenutfarming", "Greenhousenurseryandfloricultureproduction", "Othercropfarming", "Dairycattleandmilkproduction", "Beefcattleranchingandfarmingincludingfeedlotsanddualpurposeranc", "Poultryandeggproduction", "Animalproductionexceptcattleandpoultryandeggs", "Forestryandlogging", "Fishinghuntingandtrapping", "Supportactivitiesforagricultureandforestry", "Oilandgasextraction", "Coalmining", "Coppernickelleadandzincmining", "Irongoldsilverandothermetaloremining", "Stoneminingandquarrying", "Othernonmetallicmineralminingandquarrying", "Drillingoilandgaswells", "Othersupportactivitiesformining", "Electricpowergenerationtransmissionanddistribution", "Naturalgasdistribution", "Watersewageandothersystems", "Healthcarestructures", "Educationalandvocationalstructures", "Nonresidentialmaintenanceandrepair", "Residentialmaintenanceandrepair", "Officeandcommercialstructures", "Multifamilyresidentialstructures", "Otherresidentialstructures", "Manufacturingstructures", "Othernonresidentialstructures", "Powerandcommunicationstructures", "Singlefamilyresidentialstructures", "Transportationstructuresandhighwaysandstreets", "Sawmillsandwoodpreservation", "Veneerplywoodandengineeredwoodproductmanufacturing", "Millwork", "Allotherwoodproductmanufacturing", "Clayproductandrefractorymanufacturing", "Glassandglassproductmanufacturing", "Cementmanufacturing", "Readymixconcretemanufacturing", "Concretepipebrickandblockmanufacturing", "Otherconcreteproductmanufacturing", "Limeandgypsumproductmanufacturing", "Abrasiveproductmanufacturing", "Cutstoneandstoneproductmanufacturing", "Groundortreatedmineralandearthmanufacturing", "Mineralwoolmanufacturing", "Miscellaneousnonmetallicmineralproducts", "Ironandsteelmillsandferroalloymanufacturing", "Steelproductmanufacturingfrompurchasedsteel", "Secondarysmeltingandalloyingofaluminum", "Aluminarefiningandprimaryaluminumproduction", "Aluminumproductmanufacturingfrompurchasedaluminum", "NonferrousMetalexceptAluminumSmeltingandRefining", "Copperrollingdrawingextrudingandalloying", "Nonferrousmetalexceptcopperandaluminumrollingdrawingextrudingan", "Ferrousmetalfoundries", "Nonferrousmetalfoundries", "Customrollforming", "Allotherforgingstampingandsintering", "Metalcrownclosureandothermetalstampingexceptautomotive", "Cutleryandhandtoolmanufacturing", "Plateworkandfabricatedstructuralproductmanufacturing", "Ornamentalandarchitecturalmetalproductsmanufacturing", "Powerboilerandheatexchangermanufacturing", "Metaltankheavygaugemanufacturing", "Metalcanboxandothermetalcontainerlightgaugemanufacturing", "Hardwaremanufacturing", "Springandwireproductmanufacturing", "Machineshops", "Turnedproductandscrewnutandboltmanufacturing", "Coatingengravingheattreatingandalliedactivities", "Plumbingfixturefittingandtrimmanufacturing", "Valveandfittingsotherthanplumbing", "Ballandrollerbearingmanufacturing", "Fabricatedpipeandpipefittingmanufacturing", "Ammunitionarmsordnanceandaccessoriesmanufacturing", "Otherfabricatedmetalmanufacturing", "Farmmachineryandequipmentmanufacturing", "Lawnandgardenequipmentmanufacturing", "Constructionmachinerymanufacturing", "Miningandoilandgasfieldmachinerymanufacturing", "Semiconductormachinerymanufacturing", "Otherindustrialmachinerymanufacturing", "Opticalinstrumentandlensmanufacturing", "Photographicandphotocopyingequipmentmanufacturing", "Othercommercialandserviceindustrymachinerymanufacturing", "Heatingequipmentexceptwarmairfurnacesmanufacturing", "Airconditioningrefrigerationandwarmairheatingequipmentmanufactu", "Industrialandcommercialfanandblowerandairpurificationequipmentm", "Industrialmoldmanufacturing", "Specialtooldiejigandfixturemanufacturing", "Machinetoolmanufacturing", "Cuttingandmachinetoolaccessoryrollingmillandothermetalworkingma", "Turbineandturbinegeneratorsetunitsmanufacturing", "Speedchangerindustrialhighspeeddriveandgearmanufacturing", "Mechanicalpowertransmissionequipmentmanufacturing", "Otherengineequipmentmanufacturing", "Airandgascompressormanufacturing", "Pumpandpumpingequipmentmanufacturing", "Materialhandlingequipmentmanufacturing", "Powerdrivenhandtoolmanufacturing", "Packagingmachinerymanufacturing", "Industrialprocessfurnaceandovenmanufacturing", "Othergeneralpurposemachinerymanufacturing", "Fluidpowerprocessmachinery", "Electroniccomputermanufacturing", "Computerstoragedevicemanufacturing", "Computerterminalsandothercomputerperipheralequipmentmanufacturi", "Telephoneapparatusmanufacturing", "Broadcastandwirelesscommunicationsequipment", "Othercommunicationsequipmentmanufacturing", "Semiconductorandrelateddevicemanufacturing", "Printedcircuitassemblyelectronicassemblymanufacturing", "Otherelectroniccomponentmanufacturing", "Electromedicalandelectrotherapeuticapparatusmanufacturing", "Searchdetectionandnavigationinstrumentsmanufacturing", "Automaticenvironmentalcontrolmanufacturing", "Industrialprocessvariableinstrumentsmanufacturing", "Totalizingfluidmeterandcountingdevicemanufacturing", "Electricityandsignaltestinginstrumentsmanufacturing", "Analyticallaboratoryinstrumentmanufacturing", "Irradiationapparatusmanufacturing", "Watchclockandothermeasuringandcontrollingdevicemanufacturing", "Audioandvideoequipmentmanufacturing", "Manufacturingandreproducingmagneticandopticalmedia", "Electriclampbulbandpartmanufacturing", "Lightingfixturemanufacturing", "Smallelectricalappliancemanufacturing", "Householdcookingappliancemanufacturing", "Householdrefrigeratorandhomefreezermanufacturing", "Householdlaundryequipmentmanufacturing", "Othermajorhouseholdappliancemanufacturing", "Powerdistributionandspecialtytransformermanufacturing", "Motorandgeneratormanufacturing", "Switchgearandswitchboardapparatusmanufacturing", "Relayandindustrialcontrolmanufacturing", "Storagebatterymanufacturing", "Primarybatterymanufacturing", "Communicationandenergywireandcablemanufacturing", "Wiringdevicemanufacturing", "Carbonandgraphiteproductmanufacturing", "Allothermiscellaneouselectricalequipmentandcomponentmanufacturi", "Automobilemanufacturing", "Lighttruckandutilityvehiclemanufacturing", "Heavydutytruckmanufacturing", "Motorvehiclebodymanufacturing", "Trucktrailermanufacturing", "Motorhomemanufacturing", "Traveltrailerandcampermanufacturing", "Motorvehiclegasolineengineandenginepartsmanufacturing", "Motorvehicleelectricalandelectronicequipmentmanufacturing", "Motorvehicletransmissionandpowertrainpartsmanufacturing", "Motorvehicleseatingandinteriortrimmanufacturing", "Motorvehiclemetalstamping", "OtherMotorVehiclePartsManufacturing", "Motorvehiclesteeringsuspensioncomponentexceptspringandbrakesyst", "Aircraftmanufacturing", "Aircraftengineandenginepartsmanufacturing", "Otheraircraftpartsandauxiliaryequipmentmanufacturing", "Guidedmissileandspacevehiclemanufacturing", "Propulsionunitsandpartsforspacevehiclesandguidedmissiles", "Railroadrollingstockmanufacturing", "Shipbuildingandrepairing", "Boatbuilding", "Motorcyclebicycleandpartsmanufacturing", "Militaryarmoredvehicletankandtankcomponentmanufacturing", "Allothertransportationequipmentmanufacturing", "Woodkitchencabinetandcountertopmanufacturing", "Upholsteredhouseholdfurnituremanufacturing", "Nonupholsteredwoodhouseholdfurnituremanufacturing", "Institutionalfurnituremanufacturing", "Otherhouseholdnonupholsteredfurniture", "Showcasepartitionshelvingandlockermanufacturing", "Officefurnitureandcustomarchitecturalwoodworkandmillworkmanufac", "Otherfurniturerelatedproductmanufacturing", "Surgicalandmedicalinstrumentmanufacturing", "Surgicalapplianceandsuppliesmanufacturing", "Dentalequipmentandsuppliesmanufacturing", "Ophthalmicgoodsmanufacturing", "Dentallaboratories", "Jewelryandsilverwaremanufacturing", "Sportingandathleticgoodsmanufacturing", "Dolltoyandgamemanufacturing", "Officesuppliesexceptpapermanufacturing", "Signmanufacturing", "Allothermiscellaneousmanufacturing", "Dogandcatfoodmanufacturing", "Otheranimalfoodmanufacturing", "Flourmillingandmaltmanufacturing", "Wetcornmilling", "Fatsandoilsrefiningandblending", "Soybeanandotheroilseedprocessing", "Breakfastcerealmanufacturing", "Sugarandconfectioneryproductmanufacturing", "Frozenfoodmanufacturing", "Fruitandvegetablecanningpicklinganddrying", "Cheesemanufacturing", "Drycondensedandevaporateddairyproductmanufacturing", "Fluidmilkandbuttermanufacturing", "Icecreamandfrozendessertmanufacturing", "Poultryprocessing", "Animalexceptpoultryslaughteringrenderingandprocessing", "Seafoodproductpreparationandpackaging", "Breadandbakeryproductmanufacturing", "Cookiecrackerpastaandtortillamanufacturing", "Snackfoodmanufacturing", "Coffeeandteamanufacturing", "Flavoringsyrupandconcentratemanufacturing", "Seasoninganddressingmanufacturing", "Allotherfoodmanufacturing", "Softdrinkandicemanufacturing", "Breweries", "Wineries", "Distilleries", "Tobaccoproductmanufacturing", "Fiberyarnandthreadmills", "Fabricmills", "Textileandfabricfinishingandfabriccoatingmills", "Carpetandrugmills", "Curtainandlinenmills", "Othertextileproductmills", "Apparelmanufacturing", "Leatherandalliedproductmanufacturing", "Pulpmills", "Papermills", "Paperboardmills", "Paperboardcontainermanufacturing", "PaperBagandCoatedandTreatedPaperManufacturing", "Stationeryproductmanufacturing", "Sanitarypaperproductmanufacturing", "Allotherconvertedpaperproductmanufacturing", "Printing", "Supportactivitiesforprinting", "Petroleumrefineries", "Asphaltpavingmixtureandblockmanufacturing", "Asphaltshingleandcoatingmaterialsmanufacturing", "Otherpetroleumandcoalproductsmanufacturing", "Petrochemicalmanufacturing", "Industrialgasmanufacturing", "Syntheticdyeandpigmentmanufacturing", "OtherBasicInorganicChemicalManufacturing", "Otherbasicorganicchemicalmanufacturing", "Plasticsmaterialandresinmanufacturing", "Syntheticrubberandartificialandsyntheticfibersandfilamentsmanuf", "Medicinalandbotanicalmanufacturing", "Pharmaceuticalpreparationmanufacturing", "Invitrodiagnosticsubstancemanufacturing", "Biologicalproductexceptdiagnosticmanufacturing", "Fertilizermanufacturing", "Pesticideandotheragriculturalchemicalmanufacturing", "Paintandcoatingmanufacturing", "Adhesivemanufacturing", "Soapandcleaningcompoundmanufacturing", "Toiletpreparationmanufacturing", "Printinginkmanufacturing", "Allotherchemicalproductandpreparationmanufacturing", "Plasticspackagingmaterialsandunlaminatedfilmandsheetmanufacturi", "Plasticspipepipefittingandunlaminatedprofileshapemanufacturing", "Laminatedplasticsplatesheetexceptpackagingandshapemanufacturing", "Polystyrenefoamproductmanufacturing", "Urethaneandotherfoamproductexceptpolystyrenemanufacturing", "Plasticsbottlemanufacturing", "Otherplasticsproductmanufacturing", "Tiremanufacturing", "Rubberandplasticshosesandbeltingmanufacturing", "Otherrubberproductmanufacturing", "Motorvehicleandmotorvehiclepartsandsupplies", "Professionalandcommercialequipmentandsupplies", "Householdappliancesandelectricalandelectronicgoods", "Machineryequipmentandsupplies", "Otherdurablegoodsmerchantwholesalers", "Drugsanddruggistssundries", "Groceryandrelatedproductwholesalers", "Petroleumandpetroleumproducts", "Othernondurablegoodsmerchantwholesalers", "Wholesaleelectronicmarketsandagentsandbrokers", "Customsduties", "Motorvehicleandpartsdealers", "Foodandbeveragestores", "Generalmerchandisestores", "Buildingmaterialandgardenequipmentandsuppliesdealers", "Healthandpersonalcarestores", "Gasolinestations", "Clothingandclothingaccessoriesstores", "Nonstoreretailers", "Allotherretail", "Airtransportation", "Railtransportation", "Watertransportation", "Trucktransportation", "Transitandgroundpassengertransportation", "Pipelinetransportation", "Scenicandsightseeingtransportationandsupportactivitiesfortransp", "Couriersandmessengers", "Warehousingandstorage", "Newspaperpublishers", "PeriodicalPublishers", "Bookpublishers", "Directorymailinglistandotherpublishers", "Softwarepublishers", "Motionpictureandvideoindustries", "Soundrecordingindustries", "Radioandtelevisionbroadcasting", "Cableandothersubscriptionprogramming", "Wiredtelecommunicationscarriers", "Wirelesstelecommunicationscarriersexceptsatellite", "Satellitetelecommunicationsresellersandallothertelecommunicatio", "Dataprocessinghostingandrelatedservices", "InternetpublishingandbroadcastingandWebsearchportals", "Newssyndicateslibrariesarchivesandallotherinformationservices", "Nondepositorycreditintermediationandrelatedactivities", "Monetaryauthoritiesanddepositorycreditintermediation", "Otherfinancialinvestmentactivities", "Securitiesandcommoditycontractsintermediationandbrokerage", "Directlifeinsurancecarriers", "Insurancecarriersexceptdirectlife", "Insuranceagenciesbrokeragesandrelatedactivities", "Fundstrustsandotherfinancialvehicles", "Owneroccupiedhousing", "Tenantoccupiedhousing", "Otherrealestate", "Automotiveequipmentrentalandleasing", "Commercialandindustrialmachineryandequipmentrentalandleasing", "Generalandconsumergoodsrental", "Lessorsofnonfinancialintangibleassets", "Legalservices", "Customcomputerprogrammingservices", "Computersystemsdesignservices", "Othercomputerrelatedservicesincludingfacilitiesmanagement", "Accountingtaxpreparationbookkeepingandpayrollservices", "Architecturalengineeringandrelatedservices", "Managementconsultingservices", "Environmentalandothertechnicalconsultingservices", "Scientificresearchanddevelopmentservices", "Advertisingpublicrelationsandrelatedservices", "Specializeddesignservices", "Photographicservices", "Veterinaryservices", "Allothermiscellaneousprofessionalscientificandtechnicalservices", "Managementofcompaniesandenterprises", "Employmentservices", "Servicestobuildingsanddwellings", "Officeadministrativeservices", "Facilitiessupportservices", "Businesssupportservices", "Travelarrangementandreservationservices", "Investigationandsecurityservices", "Othersupportservices", "Wastemanagementandremediationservices", "Elementaryandsecondaryschools", "Juniorcollegescollegesuniversitiesandprofessionalschools", "Othereducationalservices", "Officesofphysicians", "Officesofdentists", "Officesofotherhealthpractitioners", "Outpatientcarecenters", "Medicalanddiagnosticlaboratories", "Homehealthcareservices", "Otherambulatoryhealthcareservices", "Hospitals", "Nursingandcommunitycarefacilities", "Residentialmentalhealthsubstanceabuseandotherresidentialcarefac", "Individualandfamilyservices", "Childdaycareservices", "Communityfoodhousingandotherreliefservicesincludingrehabilitati", "Performingartscompanies", "Spectatorsports", "Independentartistswritersandperformers", "Promotersofperformingartsandsportsandagentsforpublicfigures", "Museumshistoricalsiteszoosandparks", "Amusementparksandarcades", "Gamblingindustriesexceptcasinohotels", "Otheramusementandrecreationindustries", "Accommodation", "Fullservicerestaurants", "Limitedservicerestaurants", "Allotherfoodanddrinkingplaces", "Automotiverepairandmaintenance", "Electronicandprecisionequipmentrepairandmaintenance", "Commercialandindustrialmachineryandequipmentrepairandmaintenanc", "Personalandhouseholdgoodsrepairandmaintenance", "Personalcareservices", "Deathcareservices", "Drycleaningandlaundryservices", "Otherpersonalservices", "Religiousorganizations", "Grantmakinggivingandsocialadvocacyorganizations", "Civicsocialprofessionalandsimilarorganizations", "Privatehouseholds", "Federalgeneralgovernmentdefense", "Federalgeneralgovernmentnondefense", "Postalservice", "Federalelectricutilities", "Otherfederalgovernmententerprises", "Stateandlocalgovernmenteducationalservices", "Stateandlocalgovernmenthospitalsandhealthservices", "Stateandlocalgovernmentotherservices", "Stateandlocalgovernmentpassengertransit", "Stateandlocalgovernmentelectricutilities", "Otherstateandlocalgovernmententerprises", "TotalIntermediate", "Personalconsumptionexpenditures", "Nonresidentialprivatefixedinvestmentinequipment", "Nonresidentialprivatefixedinvestmentinintellectualpropertyprodu", "Residentialprivatefixedinvestment", "Nonresidentialprivatefixedinvestmentinstructures", "Changeinprivateinventories", "Exportsofgoodsandservices", "FederalGovernmentdefenseConsumptionexpenditures", "FederalnationaldefenseGrossinvestmentinequipment", "FederalnationaldefenseGrossinvestmentinintellectualpropertyprod", "FederalnationaldefenseGrossinvestmentinstructures", "FederalGovernmentnondefenseConsumptionexpenditures", "FederalnondefenseGrossinvestmentinequipment", "FederalnondefenseGrossinvestmentinintellectualpropertyproducts", "FederalnondefenseGrossinvestmentinstructures", "Stateandlocalgovernmentconsumptionexpenditures", "StateandlocalGrossinvestmentinequipment", "StateandlocalGrossinvestmentinintellectualpropertyproducts", "StateandlocalGrossinvestmentinstructures", "Totaluseofproducts"];
opts.VariableTypes = ["double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double"];

% Setup rules for import
opts = setvaropts(opts, [1, 2, 3, 4, 5, 6, 7, 8, 9,  10,  11,  12,  13,  14,  15,  16,  17,  18,  19,  20,  21,  22,  23,  24,  25,  26,  27,  28,  29,  30,  31,  32,  33,  34,  35,  36,  37,  38,  39,  40,  41,  42,  43,  44,  45,  46,  47,  48,  49,  50,  51,  52,  53,  54,  55,  56,  57,  58,  59,  60,  61,  62,  63,  64,  65,  66,  67,  68,  69,  70,  71,  72,  73,  74,  75,  76,  77,  78,  79,  80,  81,  82,  83,  84,  85,  86,  87,  88,  89,  90,  91,  92,  93,  94,  95,  96,  97,  98,  99, 100, 101, 102, 103, 104, 105, 106, 107, 108, 109, 110, 111, 112, 113, 114, 115, 116, 117, 118, 119, 120, 121, 122, 123, 124, 125, 126, 127, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 144, 145, 146, 147, 148, 149, 150, 151, 152, 153, 154, 155, 156, 157, 158, 159, 160, 161, 162, 163, 164, 165, 166, 167, 168, 169, 170, 171, 172, 173, 174, 175, 176, 177, 178, 179, 180, 181, 182, 183, 184, 185, 186, 187, 188, 189, 190, 191, 192, 193, 194, 195, 196, 197, 198, 199, 200, 201, 202, 203, 204, 205, 206, 207, 208, 209, 210, 211, 212, 213, 214, 215, 216, 217, 218, 219, 220, 221, 222, 223, 224, 225, 226, 227, 228, 229, 230, 231, 232, 233, 234, 235, 236, 237, 238, 239, 240, 241, 242, 243, 244, 245, 246, 247, 248, 249, 250, 251, 252, 253, 254, 255, 256, 257, 258, 259, 260, 261, 262, 263, 264, 265, 266, 267, 268, 269, 270, 271, 272, 273, 274, 275, 276, 277, 278, 279, 280, 281, 282, 283, 284, 285, 286, 287, 288, 289, 290, 291, 292, 293, 294, 295, 296, 297, 298, 299, 300, 301, 302, 303, 304, 305, 306, 307, 308, 309, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 329, 330, 331, 332, 333, 334, 335, 336, 337, 338, 339, 340, 341, 342, 343, 344, 345, 346, 347, 348, 349, 350, 351, 352, 353, 354, 355, 356, 357, 358, 359, 360, 361, 362, 363, 364, 365, 366, 367, 368, 369, 370, 371, 372, 373, 374, 375, 376, 377, 378, 379, 380, 381, 382, 383, 384, 385, 386, 387, 388, 389, 390, 391, 392, 393, 394, 395, 396, 397, 398, 399, 400, 401, 402, 403, 404, 405, 406, 407, 408, 409, 410, 411, 412, 413, 414, 415, 416, 417, 418, 419, 420, 421, 422, 423, 424, 425, 426], "FillValue", 0);

% Import the data
UseSUTFramework20072012DETS2 = readtable("../../Data/Use_SUT_Framework_2007_2012_DET.xlsx", opts, "UseExcel", false);

%% Convert to output type
UseSUTFramework20072012DETS2 = table2array(UseSUTFramework20072012DETS2);
ValueAdded = UseSUTFramework20072012DETS2 ;

save('../../ProcessedData/Matlab/ValueAdded.mat','ValueAdded');
%% Clear temporary variables
clear  opts